Page MenuHomePhabricator

[DAG] Remove DAGTypeLegalizer::GenWidenVectorTruncStores (PR42046)
ClosedPublic

Authored by RKSimon on Sep 15 2020, 10:25 AM.

Details

Summary

Just scalarize trunc stores - GenWidenVectorTruncStores does the same thing but is flawed (PR42046) and unused.

Diff Detail

Event Timeline

RKSimon created this revision.Sep 15 2020, 10:25 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 15 2020, 10:25 AM
RKSimon requested review of this revision.Sep 15 2020, 10:25 AM
RKSimon edited the summary of this revision. (Show Details)Sep 16 2020, 8:04 AM
efriedma accepted this revision.Sep 16 2020, 4:21 PM

LGTM

This is by inspection - as was mentioned on the ticket, this code isn't active at all in the tests and I've not been able to get it to fire

In theory, you just need the right kind of node. That said, DAGCombiner specifically avoids bulding such a node, so not sure it ever happens in practice. I think I'm okay with this as-is.

This revision is now accepted and ready to land.Sep 16 2020, 4:21 PM

Err, actually, thinking about it a bit more, we should probably delete GenWidenVectorTruncStores in favor of using scalarizeVectorStore(), since they do basically the same thing.

RKSimon planned changes to this revision.Sep 17 2020, 1:04 AM
RKSimon updated this revision to Diff 293012.Sep 20 2020, 3:19 AM
RKSimon retitled this revision from [DAG] DAGTypeLegalizer::GenWidenVectorTruncStores - ensure correct extraction index (PR42046) to [DAG] Remove DAGTypeLegalizer::GenWidenVectorTruncStores (PR42046).
RKSimon edited the summary of this revision. (Show Details)

Replace GenWidenVectorTruncStores with scalarizeVectorStore

This revision is now accepted and ready to land.Sep 20 2020, 3:19 AM
RKSimon requested review of this revision.Sep 20 2020, 3:20 AM
This revision is now accepted and ready to land.Sep 21 2020, 12:38 PM